/* ======================================================== */
/* CSS for control sap.ui.analytics/AnalyticalTable.control */
/* ======================================================== */

.sapUiAnalyticalTable .sapUiTableRowHdr {

	&.sapUiAnalyticalTableSum {
		border-left: 0;
		border-right: 0;
		background-color: @sapUiListBackground;
	}

	&.sapUiAnalyticalTableDummy {
		font-size: 14px;
		line-height: 28px;
		color: @sapUiContentLabelColor;
	}

}

.sapUiAnalyticalTable tr.sapUiAnalyticalTableSum {
	background-color: @sapUiListBackground;
}

.sapUiAnalyticalTable tr.sapUiAnalyticalTableSum > td {
	border-left: 0;
	border-right: 0;
}

.sapUiAnalyticalTable tr.sapUiAnalyticalTableSum > td.sapUiTableTdLast {
	border-right: 1px solid @sapUiListVerticalBorderColor;
}

.sapUiAnalyticalTable tr.sapUiAnalyticalTableDummy td {
	border-right-width: 0;
}

.sapUiAnalyticalTable tr.sapUiAnalyticalTableDummy td:last-child {
	border-right-width: 1px;
}